=== debian/changelog ===
ros-eloquent-rmw-opensplice-cpp (0.8.1-1bionic) bionic; urgency=high

  * use return_loaned_message_from (#290 <https://github.com/ros2/rmw_opensplice/issues/290>)
  * Add localhost parameter to create node function (#288 <https://github.com/ros2/rmw_opensplice/issues/288>)
  * zero copy api for opensplice (#285 <https://github.com/ros2/rmw_opensplice/issues/285>)
  * Change PrismTech -> ADLINK (#287 <https://github.com/ros2/rmw_opensplice/issues/287>)
  * Fix build error (#286 <https://github.com/ros2/rmw_opensplice/issues/286>)
  * update signature for added pub/sub options (#284 <https://github.com/ros2/rmw_opensplice/issues/284>)
  * Contributors: Brian Marchi, Dan Rose, Karsten Knese, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.8.0-1bionic) bionic; urgency=high

  * Return specific error when not finding a node name (#281 <https://github.com/ros2/rmw_opensplice/issues/281>)
  * use a common datareader to fetch node info from participants.(#242 <https://github.com/ros2/rmw_opensplice/issues/242>) (#275 <https://github.com/ros2/rmw_opensplice/issues/275>)
  * Don't export rcpputils dependency (#277 <https://github.com/ros2/rmw_opensplice/issues/277>)
  * Add function for getting clients by node (#274 <https://github.com/ros2/rmw_opensplice/issues/274>)
  * Use rcpputils::find_and_replace instead of std::regex_replace (#272 <https://github.com/ros2/rmw_opensplice/issues/272>)
  * Fix a comparison with a sign mismatch (#276 <https://github.com/ros2/rmw_opensplice/issues/276>)
  * Implement get_actual_qos() for subscriptions (#271 <https://github.com/ros2/rmw_opensplice/issues/271>)
  * add missing qos setings in get_actual_qos() (#270 <https://github.com/ros2/rmw_opensplice/issues/270>)
  * Contributors: Jacob Perron, M. M, Scott K Logan, YuSheng, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.7.1-1bionic) bionic; urgency=high

  * Combine package name with message namespace in type support struct (#268 <https://github.com/ros2/rmw_opensplice/issues/268>)
  * fix windows build warnings (#269 <https://github.com/ros2/rmw_opensplice/issues/269>)
  * Implement QoS: liveliness, deadline, lifespan (#266 <https://github.com/ros2/rmw_opensplice/issues/266>)
  * API updates for preallocation work. (#267 <https://github.com/ros2/rmw_opensplice/issues/267>)
  * Contributors: Jacob Perron, M. M, Michael Carroll, Ross Desmond

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.7.0-1bionic) bionic; urgency=high

  * Add function to get publisher actual qos settings (#265 <https://github.com/ros2/rmw_opensplice/issues/265>)
  * Add rmw includes to cppcheck (#261 <https://github.com/ros2/rmw_opensplice/issues/261>)
  * GUID fix for node graph implementation (#255 <https://github.com/ros2/rmw_opensplice/issues/255>)
  * pass context to wait set and fini context (#257 <https://github.com/ros2/rmw_opensplice/issues/257>)
  * Contributors: M. M, Shane Loretz, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 05:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.6.2-1bionic) bionic; urgency=high

  * fix compiler warnings on Windows introduced in #251 <https://github.com/ros2/rmw_opensplice/issues/251> (#252 <https://github.com/ros2/rmw_opensplice/issues/252>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Dec 2018 06:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.6.1-1bionic) bionic; urgency=high

  * Node graph impl (#251 <https://github.com/ros2/rmw_opensplice/issues/251>)
  * refactor to support init options and context (#246 <https://github.com/ros2/rmw_opensplice/issues/246>)
  * add opensplice support for cdr serialization (#247 <https://github.com/ros2/rmw_opensplice/issues/247>)
  * Methods to retrieve matched counts on pub/sub (#248 <https://github.com/ros2/rmw_opensplice/issues/248>)
  * suppress warning on Windows (#250 <https://github.com/ros2/rmw_opensplice/issues/250>)
  * update to OpenSplice 6.9 (#249 <https://github.com/ros2/rmw_opensplice/issues/249>)
  * Contributors: Dirk Thomas, MarcelJordense, Michael Carroll, Ross Desmond, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.6.0-1bionic) bionic; urgency=high

  * use new error handling API from rcutils (#245 <https://github.com/ros2/rmw_opensplice/issues/245>)
  * Add semicolons to all RCLCPP and RCUTILS macros. (#244 <https://github.com/ros2/rmw_opensplice/issues/244>)
  * Include node namespaces in get_node_names (#243 <https://github.com/ros2/rmw_opensplice/issues/243>)
  * add rmw_get_serialization_format (#241 <https://github.com/ros2/rmw_opensplice/issues/241>)
  * Contributors: Chris Lalancette, Karsten Knese, Michael Carroll, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.5.2-1bionic) bionic; urgency=high

  * Don't error if Sample_ prefix not found in service type (#240 <https://github.com/ros2/rmw_opensplice/issues/240>)
  * Contributors: dhood

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 Jun 2018 05:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.5.1-1bionic) bionic; urgency=high

  * accept RETCODE_PRECONDITION_NOT_MET when detaching condition (#235 <https://github.com/ros2/rmw_opensplice/issues/235>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-eloquent-rmw-opensplice-cpp (0.5.0-1bionic) bionic; urgency=high

  * strip 'Sample_' from reported types (#234 <https://github.com/ros2/rmw_opensplice/issues/234>)
  * homogenize opensplice keys and use libopensplice67 everywhere (#232 <https://github.com/ros2/rmw_opensplice/issues/232>)

