=== debian/control ===
Source: ros-eloquent-rmw-opensplice-cpp
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libopensplice69, ros-eloquent-ament-cmake, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-opensplice-cmake-module, ros-eloquent-rcpputils, ros-eloquent-rcutils, ros-eloquent-rmw, ros-eloquent-rosidl-cmake, ros-eloquent-rosidl-generator-c, ros-eloquent-rosidl-generator-cpp, ros-eloquent-rosidl-generator-dds-idl, ros-eloquent-rosidl-typesupport-opensplice-c, ros-eloquent-rosidl-typesupport-opensplice-cpp, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rmw-opensplice-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopensplice69, ros-eloquent-ament-cmake, ros-eloquent-opensplice-cmake-module, ros-eloquent-rmw, ros-eloquent-rosidl-cmake, ros-eloquent-rosidl-generator-c, ros-eloquent-rosidl-generator-cpp, ros-eloquent-rosidl-typesupport-opensplice-c, ros-eloquent-rosidl-typesupport-opensplice-cpp, ros-eloquent-ros-workspace
Description: Implement the ROS middleware interface using ADLINK OpenSplice static code generation in C++.
